[Python-modules-commits] r25599 - in packages/python-axiom/trunk/debian (5 files)

mithrandi at users.alioth.debian.org mithrandi at users.alioth.debian.org
Fri Aug 16 03:36:34 UTC 2013


    Date: Friday, August 16, 2013 @ 03:36:30
  Author: mithrandi
Revision: 25599

Clean up plugin cache in postrm. (Closes: #672154)

Added:
  packages/python-axiom/trunk/debian/python-axiom.postinst
    (from rev 25482, packages/python-axiom/trunk/debian/postinst)
  packages/python-axiom/trunk/debian/python-axiom.postrm
    (from rev 25482, packages/python-axiom/trunk/debian/postrm)
Modified:
  packages/python-axiom/trunk/debian/changelog
Deleted:
  packages/python-axiom/trunk/debian/postinst
  packages/python-axiom/trunk/debian/postrm

Modified: packages/python-axiom/trunk/debian/changelog
===================================================================
--- packages/python-axiom/trunk/debian/changelog	2013-08-15 19:43:14 UTC (rev 25598)
+++ packages/python-axiom/trunk/debian/changelog	2013-08-16 03:36:30 UTC (rev 25599)
@@ -5,6 +5,7 @@
     itself, see <http://bugs.python.org/issue7491>).
   * Bump Python version specification (upstream only supports 2.6 and 2.7).
   * Drop no longer needed python-twisted-conch dependency. (Closes: #591282)
+  * Clean up plugin cache in postrm. (Closes: #672154)
 
  -- Tristan Seligmann <mithrandi at debian.org>  Sun, 11 Aug 2013 07:45:02 +0200
 

Deleted: packages/python-axiom/trunk/debian/postinst
===================================================================
--- packages/python-axiom/trunk/debian/postinst	2013-08-15 19:43:14 UTC (rev 25598)
+++ packages/python-axiom/trunk/debian/postinst	2013-08-16 03:36:30 UTC (rev 25599)
@@ -1,15 +0,0 @@
-#! /bin/sh
-
-set -e
-
-#DEBHELPER#
-
-case "$1" in
-    configure)
-        for p in $(pyversions -i); do
-            $p -c 'from twisted.plugin import IPlugin, getPlugins; import axiom.plugins; list(getPlugins(IPlugin)); list(getPlugins(IPlugin, axiom.plugins))' >/dev/null 2>&1 || true
-        done
-        ;;
-esac
-
-exit 0

Deleted: packages/python-axiom/trunk/debian/postrm
===================================================================
--- packages/python-axiom/trunk/debian/postrm	2013-08-15 19:43:14 UTC (rev 25598)
+++ packages/python-axiom/trunk/debian/postrm	2013-08-16 03:36:30 UTC (rev 25599)
@@ -1,15 +0,0 @@
-#! /bin/sh
-
-set -e
-
-#DEBHELPER#
-
-case "$1" in
-    remove|purge)
-        for p in $(pyversions -i); do
-            $p -c 'from twisted.plugin import IPlugin, getPlugins; list(getPlugins(IPlugin))' >/dev/null 2>&1 || true
-        done
-        ;;
-esac
-
-exit 0

Copied: packages/python-axiom/trunk/debian/python-axiom.postinst (from rev 25482, packages/python-axiom/trunk/debian/postinst)
===================================================================
--- packages/python-axiom/trunk/debian/python-axiom.postinst	                        (rev 0)
+++ packages/python-axiom/trunk/debian/python-axiom.postinst	2013-08-16 03:36:30 UTC (rev 25599)
@@ -0,0 +1,15 @@
+#! /bin/sh
+
+set -e
+
+#DEBHELPER#
+
+case "$1" in
+    configure)
+        for p in $(pyversions -i); do
+            $p -c 'from twisted.plugin import IPlugin, getPlugins; import axiom.plugins; list(getPlugins(IPlugin)); list(getPlugins(IPlugin, axiom.plugins))' >/dev/null 2>&1 || true
+        done
+        ;;
+esac
+
+exit 0

Copied: packages/python-axiom/trunk/debian/python-axiom.postrm (from rev 25482, packages/python-axiom/trunk/debian/postrm)
===================================================================
--- packages/python-axiom/trunk/debian/python-axiom.postrm	                        (rev 0)
+++ packages/python-axiom/trunk/debian/python-axiom.postrm	2013-08-16 03:36:30 UTC (rev 25599)
@@ -0,0 +1,20 @@
+#! /bin/sh
+
+set -e
+
+#DEBHELPER#
+
+case "$1" in
+    remove|purge)
+        for p in $(pyversions -i); do
+            $p -c 'from twisted.plugin import IPlugin, getPlugins; list(getPlugins(IPlugin))' >/dev/null 2>&1 || true
+        done
+        find /usr/lib/python[23].*/*-packages/axiom/plugins \
+            -name dropin.cache 2>/dev/null | xargs -r rm -f
+        for d in /usr/lib/python[23].*/*-packages/axiom/plugins; do
+            rmdir $d 2>/dev/null || true
+        done
+        ;;
+esac
+
+exit 0




More information about the Python-modules-commits mailing list